# classes/phing/tasks/system/ExitTask.php

Exits the active build, giving an additional message if available.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Nico Seessle <nico@seessle.de> (Ant)
package
  phing.tasks.system
version
  $Revision: 526 $

## \ExitTask
jump to top

Exits the active build, giving an additional message if available.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Nico Seessle <nico@seessle.de> (Ant)
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $

### Properties

`$ifCondition= ''`
Details

Type

`$message= ''`
Details

Type

`$unlessCondition= ''`
Details

Type

### Methods

`addText( $msg ) :`
Set a multiline message.
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`main( ) :`
Details

throws

`setIf( \c $c ) :`
Only fail if a property of the given name exists in the current project.
Parameters

Name | Type | Description
--- | --- | ---
$c | \c | property name

`setMessage( \value $value ) :`
A message giving further information on why the build exited.
Parameters

Name | Type | Description
--- | --- | ---
$value | \value | message to output

`setMsg( string $value ) :`
A message giving further information on why the build exited.
Parameters

Name | Type | Description
--- | --- | ---
$value | string | message to output

`setUnless( \c $c ) :`
Only fail if a property of the given name does not exist in the current project.
Parameters

Name | Type | Description
--- | --- | ---
$c | \c | property name

`testIfCondition( ) : boolean`
Returns

Type | Description
--- | ---
boolean |

`testUnlessCondition( ) : boolean`
Returns

Type | Description
--- | ---
boolean |

Documentation was generated by DocBlox 0.13.1.